# PASNSequence Class Reference

A descendant of PASNObject which is the complex sequence type. More...

`#include <pasn.h>`

Inheritance diagram for PASNSequence:

List of all members.

## Public Member Functions

| PASNSequence ()
| PASNSequence (BYTE selector)
| PASNSequence (const PBYTEArray &buffer)
| PASNSequence (const PBYTEArray &buffer, PINDEX &i)
void | Append (PASNObject *obj)
PINDEX | GetSize () const
PASNObject & | operator[] (PINDEX idx) const
const PASNSequence & | GetSequence () const
| Return the value of the object as a PString.
void | AppendInteger (PASNInt value)
void | AppendString (const PString &str)
void | AppendObjectID (const PString &str)
void | AppendObjectID (PASNOid *val, BYTE len)
int | GetChoice () const
| Return the descriminator for Choice sequences.
void | PrintOn (ostream &strm) const
| Virtual functions used by the PObject::operator<< function to print the value of the object.
void | Encode (PBYTEArray &buffer)
| Virtual function used to encode the object into ASN format.
PBoolean | Decode (const PBYTEArray &buffer, PINDEX &i)
WORD | GetEncodedLength ()
| Virtual function used to get the length of object when encoded into ASN format.
ASNType | GetType () const
| Return a value of type enum ASNType which indicates the type of the object.
PString | GetTypeAsString () const
| Return a string giving the type of the object.
PBoolean | Encode (PBYTEArray &buffer, PINDEX maxLen)

## Detailed Description

A descendant of PASNObject which is the complex sequence type.

## Constructor & Destructor Documentation

PASNSequence::PASNSequence | ( |  | ) |

PASNSequence::PASNSequence | ( | BYTE | selector | ) |

PASNSequence::PASNSequence | ( | const PBYTEArray & | buffer | ) |

PASNSequence::PASNSequence | ( | const PBYTEArray & | buffer,
|  | PINDEX & | i |
| ) |  |  |

## Member Function Documentation

void PASNSequence::Append | ( | PASNObject * | obj | ) |

void PASNSequence::AppendInteger | ( | PASNInt | value | ) |

void PASNSequence::AppendObjectID | ( | PASNOid * | val,
|  | BYTE | len |
| ) |  |  |

void PASNSequence::AppendObjectID | ( | const PString & | str | ) |

void PASNSequence::AppendString | ( | const PString & | str | ) |

PBoolean PASNSequence::Decode | ( | const PBYTEArray & | buffer,
|  | PINDEX & | i |
| ) |  |  |

PBoolean PASNSequence::Encode | ( | PBYTEArray & | buffer,
|  | PINDEX | maxLen |
| ) |  |  |

void PASNSequence::Encode | ( | PBYTEArray & | buffer | ) | `[virtual]`

Virtual function used to encode the object into ASN format.

Reimplemented from PASNObject.

int PASNSequence::GetChoice | ( |  | ) | const

Return the descriminator for Choice sequences.

Reimplemented from PASNObject.

WORD PASNSequence::GetEncodedLength | ( |  | ) | `[virtual]`

Virtual function used to get the length of object when encoded into ASN format.

Reimplemented from PASNObject.

const PASNSequence& PASNSequence::GetSequence | ( |  | ) | const`[virtual]`

Return the value of the object as a PString.

This function will assert if the object is not a descendant of PASNSequence.

Reimplemented from PASNObject.

PINDEX PASNSequence::GetSize | ( |  | ) | const

ASNType PASNSequence::GetType | ( |  | ) | const`[virtual]`

Return a value of type enum ASNType which indicates the type of the object.

Reimplemented from PASNObject.

PString PASNSequence::GetTypeAsString | ( |  | ) | const`[virtual]`

Return a string giving the type of the object.

Reimplemented from PASNObject.

PASNObject& PASNSequence::operator[] | ( | PINDEX | idx | ) | const

void PASNSequence::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Virtual functions used by the PObject::operator<< function to print the value of the object.

Reimplemented from PASNObject.

The documentation for this class was generated from the following file:

- pasn.h